> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch update card transactions

> Updates multiple card transactions in a single operation



## OpenAPI

````yaml /openapi-public.json patch /v1/card-transactions/batch-update
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/card-transactions/batch-update:
    patch:
      tags:
        - v1 - Card Transactions
      summary: Batch update card transactions
      description: Updates multiple card transactions in a single operation
      operationId: batchUpdateCardTransactions
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ExternalBatchUpdateCardTransactionRequestV1Model
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8: {}
components:
  schemas:
    ExternalBatchUpdateCardTransactionRequestV1Model:
      type: object
      properties:
        cardTransactionId:
          type: string
          format: uuid
        customProperties:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/SetCustomPropertyRequestV1Model'
        lines:
          type: array
          nullable: true
          items:
            $ref: >-
              #/components/schemas/ExternalBatchUpdateCardTransactionLineRequestV1Model
        postingDate:
          type: string
          format: date
          nullable: true
        description:
          type: string
          nullable: true
    SetCustomPropertyRequestV1Model:
      type: object
      properties:
        groupId:
          type: string
          format: uuid
        valueIds:
          type: array
          items:
            type: string
            format: uuid
        inlineValues:
          type: array
          items:
            type: string
      description: List of custom properties to set on the vendor.
      nullable: true
    ExternalBatchUpdateCardTransactionLineRequestV1Model:
      type: object
      properties:
        lineId:
          type: string
          format: uuid
        customProperties:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/SetCustomPropertyRequestV1Model'
        description:
          type: string
          nullable: true
        accountId:
          type: string
          format: uuid
          nullable: true
        taxCodeId:
          type: string
          format: uuid
          nullable: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````